VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::techpreview::system::UpdateTypes::AutoUpdateNotification Class Reference

`Update.AutoUpdateNotification` enumerated type Defines state for automatic update notification More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, disabled, enabled }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static AutoUpdateNotification[] | GetValues ()
static AutoUpdateNotification | ValueOf (string name)
## Static Public Attributes
static readonly AutoUpdateNotification | disabled = new AutoUpdateNotification("disabled", Values.disabled)
| Automatic update notification is disabled.
static readonly AutoUpdateNotification | enabled = new AutoUpdateNotification("enabled", Values.enabled)
| Automatic update notification is enabled.

## Detailed Description

`Update.AutoUpdateNotification` enumerated type Defines state for automatic update notification

## Member Enumeration Documentation

enum vmware::appliance::techpreview::system::UpdateTypes::AutoUpdateNotification::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  disabled | Automatic update notification is disabled. Disable periodically query the configured url for updates.
  enabled | Automatic update notification is enabled. Enable periodically query the configured url for updates.

## Member Function Documentation

Values vmware::appliance::techpreview::system::UpdateTypes::AutoUpdateNotification::GetEnumValue | ( |  | ) | `[inline]`

static AutoUpdateNotification [] vmware::appliance::techpreview::system::UpdateTypes::AutoUpdateNotification::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::techpreview::system::UpdateTypes::AutoUpdateNotification::IsUnknown | ( |  | ) | `[inline]`

static AutoUpdateNotification vmware::appliance::techpreview::system::UpdateTypes::AutoUpdateNotification::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly AutoUpdateNotification vmware::appliance::techpreview::system::UpdateTypes::AutoUpdateNotification::disabled = new AutoUpdateNotification("disabled", Values.disabled)`[static]`

Automatic update notification is disabled.

Disable periodically query the configured url for updates.

readonly AutoUpdateNotification vmware::appliance::techpreview::system::UpdateTypes::AutoUpdateNotification::enabled = new AutoUpdateNotification("enabled", Values.enabled)`[static]`

Automatic update notification is enabled.

Enable periodically query the configured url for updates.

The documentation for this class was generated from the following file:

- UpdateTypes.cs